Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Host.Record

    java.lang.Object
      com.xensource.xenapi.Host.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Host

    public static class Host.Record

extends Object
implements Types.Record

Represents all the fields in a Host

Field Summary
`String` | `address` The address by which this host can be contacted from any other host in the pool
`Set<Types.HostAllowedOperations>` | `allowedOperations` list of the operations allowed in this state.
`Long` | `APIVersionMajor` major version number
`Long` | `APIVersionMinor` minor version number
`String` | `APIVersionVendor` identification of vendor
`Map<String,String>` | `APIVersionVendorImplementation` details of vendor implementation
`Map<String,String>` | `biosStrings` BIOS strings
`Map<String,Blob>` | `blobs` Binary blobs associated with this host
`Set<String>` | `capabilities` Xen capabilities
`Map<String,String>` | `chipsetInfo` Information about chipset features
`Map<String,String>` | `cpuConfiguration` The CPU configuration on this host.
`Map<String,String>` | `cpuInfo` Details about the physical CPUs on this host
`Set<HostCrashdump>` | `crashdumps` Set of host crash dumps
`SR` | `crashDumpSr` The SR in which VDIs for crash dumps are created
`Map<String,Types.HostAllowedOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`String` | `edition` XenServer edition
`Boolean` | `enabled` True if the host is currently enabled
`Map<String,String>` | `externalAuthConfiguration` configuration specific to external authentication service
`String` | `externalAuthServiceName` name of external authentication service configured; empty if none configured.
`String` | `externalAuthType` type of external authentication service configured; empty if none configured.
`Map<String,String>` | `guestVCPUsParams` VCPUs params to apply to all resident guests
`Set<String>` | `haNetworkPeers` The set of hosts visible via the network from this host
`Set<String>` | `haStatefiles` The set of statefiles accessible from this host
`Set<HostCpu>` | `hostCPUs` The physical CPUs on this host
`String` | `hostname` The hostname of this host
`Map<String,String>` | `licenseParams` State of the current license
`Map<String,String>` | `licenseServer` Contact information of the license server
`SR` | `localCacheSr` The SR that is used as a local cache
`Map<String,String>` | `logging` logging configuration
`Long` | `memoryOverhead` Virtualization memory overhead (bytes).
`HostMetrics` | `metrics` metrics associated with this host
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`Set<HostPatch>` | `patches` Set of host patches
`Set<PBD>` | `PBDs` physical blockdevices
`Set<PCI>` | `PCIs` List of PCI devices in the host
`Set<PGPU>` | `PGPUs` List of physical GPUs in the host
`Set<PIF>` | `PIFs` physical network interfaces
`Map<String,String>` | `powerOnConfig` The power on config
`String` | `powerOnMode` The power on mode
`Set<VM>` | `residentVMs` list of VMs currently resident on host
`String` | `schedPolicy` Scheduler policy currently in force on this host
`Map<String,String>` | `softwareVersion` version strings
`Set<String>` | `supportedBootloaders` a list of the bootloaders installed on the machine
`SR` | `suspendImageSr` The SR in which VDIs for suspend images are created
`Set<String>` | `tags` user-specified tags for categorization purposes
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`Host.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a host.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### memoryOverhead

    public Long memoryOverhead

  Virtualization memory overhead (bytes).

### allowedOperations

    public Set<Types.HostAllowedOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.HostAllowedOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### APIVersionMajor

    public Long APIVersionMajor

  major version number

### APIVersionMinor

    public Long APIVersionMinor

  minor version number

### APIVersionVendor

    public String APIVersionVendor

  identification of vendor

### APIVersionVendorImplementation

    public Map<String,String> APIVersionVendorImplementation

  details of vendor implementation

### enabled

    public Boolean enabled

  True if the host is currently enabled

### softwareVersion

    public Map<String,String> softwareVersion

  version strings

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### capabilities

    public Set<String> capabilities

  Xen capabilities

### cpuConfiguration

    public Map<String,String> cpuConfiguration

  The CPU configuration on this host. May contain keys such as "nr_nodes", "sockets_per_node", "cores_per_socket", or "threads_per_core"

### schedPolicy

    public String schedPolicy

  Scheduler policy currently in force on this host

### supportedBootloaders

    public Set<String> supportedBootloaders

  a list of the bootloaders installed on the machine

### residentVMs

    public Set<VM> residentVMs

  list of VMs currently resident on host

### logging

    public Map<String,String> logging

  logging configuration

### PIFs

    public Set<PIF> PIFs

  physical network interfaces

### suspendImageSr

    public SR suspendImageSr

  The SR in which VDIs for suspend images are created

### crashDumpSr

    public SR crashDumpSr

  The SR in which VDIs for crash dumps are created

### crashdumps

    public Set<HostCrashdump> crashdumps

  Set of host crash dumps

### patches

    public Set<HostPatch> patches

  Set of host patches

### PBDs

    public Set<PBD> PBDs

  physical blockdevices

### hostCPUs

    public Set<HostCpu> hostCPUs

  The physical CPUs on this host

### cpuInfo

    public Map<String,String> cpuInfo

  Details about the physical CPUs on this host

### hostname

    public String hostname

  The hostname of this host

### address

    public String address

  The address by which this host can be contacted from any other host in the pool

### metrics

    public HostMetrics metrics

  metrics associated with this host

### licenseParams

    public Map<String,String> licenseParams

  State of the current license

### haStatefiles

    public Set<String> haStatefiles

  The set of statefiles accessible from this host

### haNetworkPeers

    public Set<String> haNetworkPeers

  The set of hosts visible via the network from this host

### blobs

    public Map<String,Blob> blobs

  Binary blobs associated with this host

### tags

    public Set<String> tags

  user-specified tags for categorization purposes

### externalAuthType

    public String externalAuthType

  type of external authentication service configured; empty if none configured.

### externalAuthServiceName

    public String externalAuthServiceName

  name of external authentication service configured; empty if none configured.

### externalAuthConfiguration

    public Map<String,String> externalAuthConfiguration

  configuration specific to external authentication service

### edition

    public String edition

  XenServer edition

### licenseServer

    public Map<String,String> licenseServer

  Contact information of the license server

### biosStrings

    public Map<String,String> biosStrings

  BIOS strings

### powerOnMode

    public String powerOnMode

  The power on mode

### powerOnConfig

    public Map<String,String> powerOnConfig

  The power on config

### localCacheSr

    public SR localCacheSr

  The SR that is used as a local cache

### chipsetInfo

    public Map<String,String> chipsetInfo

  Information about chipset features

### PCIs

    public Set<PCI> PCIs

  List of PCI devices in the host

### PGPUs

    public Set<PGPU> PGPUs

  List of physical GPUs in the host

### guestVCPUsParams

    public Map<String,String> guestVCPUsParams

  VCPUs params to apply to all resident guests

Constructor Detail

### Host.Record

    public Host.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a host.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD